#ifndef _Handle_PDF_Data_HeaderFile
#define _Handle_PDF_Data_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_Standard_Persistent_HeaderFile
#include <Handle_Standard_Persistent.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(Standard_Persistent);
class PDF_Data;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PDF_Data);

class Handle(PDF_Data) : public Handle(Standard_Persistent) {
  public:

    Handle(PDF_Data)():Handle(Standard_Persistent)() {} 
    Handle(PDF_Data)(const Handle(PDF_Data)& aHandle) : Handle(Standard_Persistent)(aHandle) 
     {
     }

    Handle(PDF_Data)(const PDF_Data* anItem) : Handle(Standard_Persistent)((Standard_Persistent *)anItem) 
     {
     }

    Handle(PDF_Data)& operator=(const Handle(PDF_Data)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PDF_Data)& operator=(const PDF_Data* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PDF_Data* operator->() const 
     {
      return (PDF_Data *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PDF_Data) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
